> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/data-center-port/modifyportattribute.md).

# ModifyPortAttribute

## 1. API Description

This API (ModifyPortAttribute) is used to modify Port Attribute

{% hint style="info" %}
**Notes**

* `businessEntityName` can only be modified before the port's LOA has been uploaded. Once uploaded, it can no longer be modified.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type   | Description                                                                                                                                         |
| ------------------ | -------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| portId             | Yes      | String | Port ID.                                                                                                                                            |
| portName           | No       | String | Port name, up to 255 characters. It is recommended to use the data center four-letter code plus the port spec.                                      |
| portRemarks        | No       | String | Port remarks, up to 255 characters.                                                                                                                 |
| businessEntityName | No       | String | <p>Business entity name, used as the LOA letterhead.</p><p>Can only be modified before the port's LOA is uploaded; not modifiable after upload.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPortAttribute
<Common Request Params>

Request:
{
  "portId": "your-port-id",
  "portName": "your-port-name",
  "portRemarks": "your-port-remarks",
  "businessEntityName": "your-business-entity-name"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
